# Module: userloginController

## userloginController

login controller

Author:
  - Yaw Joseph Etse
Copyright:
  - Copyright (c) 2014 Typesettin. All rights reserved.
License:
  - MIT
Source:
  - controller/user.js, line 254

### Requires

- module:path
- module:periodicjs.core.utilities
- module:periodicjs.core.controller
- module:periodicjs.core.mailer

### Methods

#### <inner> create(req, res) → {object}

  create a new user account

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `req` | object |
  `res` | object |

  Source:
    - controller/user.js, line 80

  ##### Returns:

  reponds with an error page or requested view

  Type
    object

#### <inner> finishregistration(req, res) → {object}

  complete registration form view

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `req` | object |
  `res` | object |

  Source:
    - controller/user.js, line 129

  ##### Returns:

  reponds with an error page or requested view

  Type
    object

#### <inner> forgot(req, res) → {object}

  Shows the forgot password view

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `req` | object |
  `res` | object |

  Source:
    - controller/user.js, line 233

  ##### Returns:

  reponds with an error page or requested view

  Type
    object

#### <inner> login(req, res) → {object}

  user login page

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `req` | object |
  `res` | object |

  Source:
    - controller/user.js, line 24

  ##### Returns:

  reponds with an error page or requested view

  Type
    object

#### <inner> newuser(req, res) → {object}

  user registration form

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `req` | object |
  `res` | object |

  Source:
    - controller/user.js, line 52

  ##### Returns:

  reponds with an error page or requested view

  Type
    object

#### <inner> updateuserregistration(req, res) → {object}

  if username required, updates user username after account is created

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `req` | object |
  `res` | object |

  Source:
    - controller/user.js, line 157

  ##### Returns:

  reponds with an error page or requested view

  Type
    object